commit:     a224f57a383d0e033671d6231b36fcecb8d11584
Author:     Arthur Zamarin <arthurzam <AT> gentoo <DOT> org>
AuthorDate: Sun Jun 19 17:43:46 2022 +0000
Commit:     Arthur Zamarin <arthurzam <AT> gentoo <DOT> org>
CommitDate: Sun Jun 19 18:08:37 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a224f57a

dev-python/PyPDF2: add 2.3.1

Signed-off-by: Arthur Zamarin <arthurzam <AT> gentoo.org>

 dev-python/PyPDF2/Manifest            |  1 +
 dev-python/PyPDF2/PyPDF2-2.3.1.ebuild | 98 +++++++++++++++++++++++++++++++++++
 2 files changed, 99 insertions(+)

diff --git a/dev-python/PyPDF2/Manifest b/dev-python/PyPDF2/Manifest
index a6212aeff2fb..2bf4985bbade 100644
--- a/dev-python/PyPDF2/Manifest
+++ b/dev-python/PyPDF2/Manifest
@@ -1,5 +1,6 @@
 DIST PyPDF2-2.0.0.gh.tar.gz 4574406 BLAKE2B 
8554fdb7ab9ea1b9990ba72fb05ed02ef8732788b896013f3410f74bad482a95dfb42215cff247d411e6e84bd1afa3437af36f203b7aa45890c4c5681853dfb9
 SHA512 
8bdd9c2cdd20758a183696d8d33a207f9be9183e63b7757e09d281f4ae4a6a61714a49c940d5bd57df8a6074ad7498f17354b5d4984b1b2ad4bd119b62d93138
 DIST PyPDF2-2.1.0.gh.tar.gz 4728411 BLAKE2B 
00949842da43136afc7ee3482dc0b61182a0bf3ee4479d8794891ecf0a7cac9ec92a94d480a2ab75d35be9f667b5c27cdf17c8e7ce76bb5355cf2c43c7fc814b
 SHA512 
d82f05fe6e7f944f045600c1fd7d451181803769b38911a2d6e0553ae7b16cbfd6838883809c71fddcdfc386f62e0a5f5aaa6d947236a3c8cdedb5fe8f338a5f
 DIST PyPDF2-2.2.1.gh.tar.gz 5019240 BLAKE2B 
31412cc136bebdf0288fcdf693540e2ae8b88c08f9d837ebeb17b8f8bfae289146028890f36b7b16c6012469908d4f6855169efcebce082d4c31f634b6410162
 SHA512 
669c41f477114bc38a214e8f4893c5eb59d40dfe07e3c436b71ede09738539e3f47d8f9293cf9c3012887d296c7a634ee93bf2542910c400c4765bd30495f0f6
+DIST PyPDF2-2.3.1.gh.tar.gz 5077679 BLAKE2B 
36a70ef9e10ebb6d5c50b713f539aad56b8ccbd94d279aa0b0dc41e9ef1c682ac21b04b4612771e386e8655aa812e11bdbe04363ebaa074a96ffa7059f500e62
 SHA512 
885d6bab457be594c7a715345f0d4c6f5ba1e34f422e3de42822f4886c0021fc799682e9d253f3c3f48f8c45d387ef431843e2f2f9c7e54c1402ef31b975c511
 DIST PyPDF2-sample-files-41b5cd4f774f8fbd8ac42d93b9962f0376352a15.gh.tar.gz 
5406287 BLAKE2B 
8ddad01235bdb55cee596d9114e5b6c3b153919bcff5203d229311243516f3595cb36dcca87cae27514a8231d72daa94782115795bff8c1c3d046236811c21e0
 SHA512 
6c38d5ee0e1c5c0ffdd78f7c2fe56dbf357a1e82d2af642a10264a6102ae8fb95cba6d2f76b26df6a33a5d84cfd5111885d39c1747cf95a5ce545f26bdb37263
 DIST PyPDF2-sample-files-d7ce88b71820fccaaa4738aa37cbace51f3ed3d9.gh.tar.gz 
5406263 BLAKE2B 
69673ec380941f567d3630459dc610b1c3a58d5f2956138776412683a96292549107294775d236d1304c054fb91b238f42942a169a7bc862c0b721de647ad191
 SHA512 
a245de88952de08b45e483f05a1ed42a70a67c4215dd8c32a9b5d70bb64b01acc58ebb1cee677ca178eee8380528dbfac50d3a1a022f19039fa3a47746ddc2a0

diff --git a/dev-python/PyPDF2/PyPDF2-2.3.1.ebuild 
b/dev-python/PyPDF2/PyPDF2-2.3.1.ebuild
new file mode 100644
index 000000000000..d45c4b4561ab
--- /dev/null
+++ b/dev-python/PyPDF2/PyPDF2-2.3.1.ebuild
@@ -0,0 +1,98 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8..11} )
+
+inherit distutils-r1
+
+SAMPLE_COMMIT=d7ce88b71820fccaaa4738aa37cbace51f3ed3d9
+DESCRIPTION="Python library to work with PDF files"
+HOMEPAGE="
+       https://pypi.org/project/PyPDF2/
+       https://github.com/py-pdf/PyPDF2/
+"
+SRC_URI="
+       https://github.com/py-pdf/PyPDF2/archive/${PV}.tar.gz
+               -> ${P}.gh.tar.gz
+       test? (
+               
https://github.com/py-pdf/sample-files/archive/${SAMPLE_COMMIT}.tar.gz
+                       -> ${PN}-sample-files-${SAMPLE_COMMIT}.gh.tar.gz
+       )
+"
+
+LICENSE="BSD-2"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~ppc64 ~x86"
+
+RDEPEND="
+       $(python_gen_cond_dep '
+               dev-python/typing-extensions[${PYTHON_USEDEP}]
+       ' 3.8 3.9)
+"
+BDEPEND="
+       dev-python/pillow[${PYTHON_USEDEP}]
+"
+
+distutils_enable_tests pytest
+
+EPYTEST_DESELECT=(
+       # Needs network access
+       tests/test_cmap.py
+       tests/test_filters.py::test_decompress_zlib_error
+       tests/test_filters.py::test_lzw_decode_neg1
+       tests/test_generic.py::test_dict_read_from_stream
+       tests/test_generic.py::test_parse_content_stream_peek_percentage
+       tests/test_generic.py::test_read_inline_image_no_has_q
+       tests/test_generic.py::test_read_inline_image_loc_neg_1
+       tests/test_generic.py::test_text_string_write_to_stream
+       tests/test_generic.py::test_name_object_read_from_stream_unicode_error
+       tests/test_generic.py::test_bool_repr
+       
'tests/test_page.py::test_page_operations[https://arxiv.org/pdf/2201.00029.pdf-None]'
+       tests/test_merger.py::test_trim_outline_list
+       tests/test_merger.py::test_zoom
+       tests/test_merger.py::test_zoom_xyz_no_left
+       tests/test_merger.py::test_bookmark
+       tests/test_merger.py::test_trim_outline
+       tests/test_merger.py::test1
+       tests/test_merger.py::test_sweep_recursion1
+       tests/test_merger.py::test_sweep_recursion2
+       tests/test_reader.py::test_unexpected_destination
+       
tests/test_writer.py::test_sweep_indirect_references_nullobject_exception
+       tests/test_writer.py::test_write_bookmark_on_page_fitv
+       tests/test_page.py::test_extract_text_single_quote_op
+       tests/test_page.py::test_extract_text_page_pdf
+       tests/test_page.py::test_extract_text_page_pdf_impossible_decode_xform
+       tests/test_page.py::test_extract_text_operator_t_star
+       tests/test_reader.py::test_iss925
+       tests/test_reader.py::test_extract_text_xref_issue_2
+       tests/test_reader.py::test_extract_text_xref_issue_3
+       tests/test_reader.py::test_extract_text_pdf15
+       tests/test_reader.py::test_extract_text_xref_table_21_bytes_clrf
+       tests/test_reader.py::test_get_fields
+       tests/test_reader.py::test_get_fields_read_else_block
+       tests/test_reader.py::test_get_fields_read_else_block2
+       tests/test_reader.py::test_get_fields_read_else_block3
+       tests/test_reader.py::test_metadata_is_none
+       tests/test_reader.py::test_get_fields_read_write_report
+       tests/test_reader.py::test_unexpected_destination
+       tests/test_utils.py::test_deprecate_no_replacement
+       tests/test_workflows.py::test_extract_textbench
+       tests/test_xmp.py::test_xmpmm
+       tests/test_xmp.py::test_dc_description
+       tests/test_xmp.py::test_dc_creator
+       tests/test_xmp.py::test_custom_properties
+       tests/test_xmp.py::test_dc_subject
+
+       # Broken test
+       tests/test_utils.py::test_deprecate_no_replacement
+)
+
+src_unpack() {
+       default
+       if use test; then
+               mv "sample-files-${SAMPLE_COMMIT}"/* "${P}"/sample-files/ || die
+       fi
+}

Reply via email to